/*
** $Id: base.h,v 1.3 2002/09/30 21:07:12 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Miscellaneous basic definitions and declarations
**
** $Log: base.h,v $
** Revision 1.3  2002/09/30 21:07:12  pief
** Fixed defined symbol inside header file
** Added #undefs for the boolean definition to avoid conflicts with
** definitions in other header files such as curses.h/term.h
**
** Revision 1.2  2002/09/24 22:05:13  pief
** For some reason I checked in ancient versions, so here are the current
** ones
**
*/

#ifndef _BASE_H
#define _BASE_H

/*
** Program title and official version/revision number
*/
#define _TITLE_		"MetalServe"
#define _VERSION_	0
#define _REVISION_	1

/*
** Define a BOOLean type (Amiga rulez!)
*/
#undef BOOL
#undef TRUE
#undef FALSE
typedef enum _bool { FALSE, TRUE } BOOL;

/*
** Default locations for MetalServe configuration file
*/
#define DEFAULT_CFGFILE_NAME "/etc/metalserve.conf"
#define HOMEDIR_CFGFILE_NAME ".metalserve.conf"

#endif
