/*
** $Id: strings.h,v 1.2 2002/09/24 22:05:13 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Header file for string functions
**
** $Log: strings.h,v $
** Revision 1.2  2002/09/24 22:05:13  pief
** For some reason I checked in ancient versions, so here are the current
** ones
**
*/

#ifndef _STRINGS_H
#define _STRINGS_H

/*
** Public function prototypes
*/

/* Miscellaneous functions */
char *trim_line(char *line);
char *lower_string(char *string);
char *unescape(char *string);
void split_args(char *line, char **first, char **rest);

#endif
